db4o |

# Blob.ReadFrom Method

reads a file into the db4o system and stores it as a blob.

void ReadFrom(
File file
);

#### Parameters

file
  the file the blob is to be read from.

#### Remarks

reads a file into the db4o system and stores it as a blob.
In Client/Server mode db4o will open an additional socket and process writing data in an additional thread.

#### Exceptions

Exception Type | Condition
--- | ---
IOException | in case of errors

#### See Also

Blob Interface | com.db4o.types Namespace